import sys
import time

import pygame
pygame.init()

import level_loader
import level
import screen
import main_menu
import resources

def main(is_full_screen):
	MIN_FRAME_TIME = 0.01 #seconds

	size = screen_width, screen_height = 800, 600

	flags = 0
	if is_full_screen:
		flags |= pygame.FULLSCREEN
	window = pygame.display.set_mode(size, flags)
	
	current_screen = main_menu.MainMenu()
	current_screen.start()
	
	try:
		pygame.mixer.music.load(resources.get_filename("music","zorba.ogg"))
		pygame.mixer.music.play(-1)
	except:
		pass

	last_time = time.time()
	while True:
		curr_time = time.time()
		time_passed = curr_time - last_time
		last_time = curr_time
		
		if time_passed < MIN_FRAME_TIME:
			time.sleep(MIN_FRAME_TIME - time_passed)
		
		for event in pygame.event.get():
			current_screen.handle_event(event)
		current_screen.do_frame(time_passed)
		
		current_screen.screen_height = screen_height
		current_screen.screen_width = screen_width
		current_screen.draw(window)
		pygame.display.flip()
		
		if current_screen.end_level:
			current_screen = current_screen.next_screen
			if current_screen == None:
				current_screen = main_menu.MainMenu()
			current_screen.start()

	sys.exit()